<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Crypto Driver External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Crypto Driver External Functions<div class="ingroups"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r.html">Crypto Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the exported API which the applications need to invoke in order to use the Crypto driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7bf778bf0057cdd8cdea70b55ba77eb0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7bf778bf0057cdd8cdea70b55ba77eb0">Crypto_close</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a> handle)</td></tr>
<tr class="separator:ga7bf778bf0057cdd8cdea70b55ba77eb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ccd2651c6b2ee64ff049897ab6d8edf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0ccd2651c6b2ee64ff049897ab6d8edf">Crypto_init</a> (void)</td></tr>
<tr class="separator:ga0ccd2651c6b2ee64ff049897ab6d8edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b9fcff5d08394ab32c4bca549361ca6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b9fcff5d08394ab32c4bca549361ca6">Crypto_open</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38428d57bcfc0173f3b3d38a0a6a530a">Crypto_Type</a> cryptoType)</td></tr>
<tr class="separator:ga9b9fcff5d08394ab32c4bca549361ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ed064ea62fcd3fa1cf30d7595fe10ca"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2ed064ea62fcd3fa1cf30d7595fe10ca">Crypto_hmacParams_init</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8df97ec732f045d62928e614531366b7">Crypto_HmacParams</a> *params)</td></tr>
<tr class="separator:ga2ed064ea62fcd3fa1cf30d7595fe10ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade36f7ba78a84cc755105047ecf15d6b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gade36f7ba78a84cc755105047ecf15d6b">Crypto_encrypt</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a> handle, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga666a80fde1895d919c31bbd4923c6177">Crypto_AESMode</a> mode, uint8_t *ptrInput, uint32_t dataLength, uint8_t *ptrOutput, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga72562d733e0bb69b07ac3f5f42afb10b">Crypto_EncryptParams</a> *ptrParams)</td></tr>
<tr class="separator:gade36f7ba78a84cc755105047ecf15d6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3ad110adc8f1ab3cb47c7105d5dfd64"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab3ad110adc8f1ab3cb47c7105d5dfd64">Crypto_decrypt</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a> handle, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga666a80fde1895d919c31bbd4923c6177">Crypto_AESMode</a> mode, uint8_t *ptrInput, uint32_t dataLength, uint8_t *ptrOutput, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga72562d733e0bb69b07ac3f5f42afb10b">Crypto_EncryptParams</a> *ptrParams)</td></tr>
<tr class="separator:gab3ad110adc8f1ab3cb47c7105d5dfd64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad58eac4d371de1fea5e1e5aca89b26c6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad58eac4d371de1fea5e1e5aca89b26c6">Crypto_sign</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a> handle, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaece135431f8e1ff75ca8c44c3ebf0f4f">Crypto_HmacMode</a> mode, uint8_t *ptrInput, uint32_t dataLength, uint8_t *ptrSignature, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8df97ec732f045d62928e614531366b7">Crypto_HmacParams</a> *ptrParams)</td></tr>
<tr class="separator:gad58eac4d371de1fea5e1e5aca89b26c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b1f6749e0ea8ed98e2c21b6fb05b213"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0b1f6749e0ea8ed98e2c21b6fb05b213">Crypto_verify</a> (<a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a> handle, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaece135431f8e1ff75ca8c44c3ebf0f4f">Crypto_HmacMode</a> mode, uint8_t *ptrInput, uint32_t dataLength, uint8_t *ptrSignature, <a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8df97ec732f045d62928e614531366b7">Crypto_HmacParams</a> *ptrParams)</td></tr>
<tr class="separator:ga0b1f6749e0ea8ed98e2c21b6fb05b213"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the exported API which the applications need to invoke in order to use the Crypto driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga7bf778bf0057cdd8cdea70b55ba77eb0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t Crypto_close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is the Crypto driver close function called close a Crypto Driver instance is being closed</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Crypto Driver</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- Crypto Error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab3ad110adc8f1ab3cb47c7105d5dfd64"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t Crypto_decrypt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga666a80fde1895d919c31bbd4923c6177">Crypto_AESMode</a>&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrInput</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrOutput</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga72562d733e0bb69b07ac3f5f42afb10b">Crypto_EncryptParams</a> *&#160;</td>
          <td class="paramname"><em>ptrParams</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is called to decrypt ciphered text data using a specific AES mode. Depending on the mode the data is encrypted and or authenticated. The additional result is stored in the encrypt output parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Crypto Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>AES encrypt mode. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrInput</td><td>Pointer to the input data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLength</td><td>Data length in bytes. Valid values are 1 to less than 2^32. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrOutput</td><td>Pointer to the output data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrParams</td><td>Pointer AES parameters. This structure contains both input and output parameters based on the mode.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- Crypto Error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gade36f7ba78a84cc755105047ecf15d6b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t Crypto_encrypt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga666a80fde1895d919c31bbd4923c6177">Crypto_AESMode</a>&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrInput</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrOutput</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga72562d733e0bb69b07ac3f5f42afb10b">Crypto_EncryptParams</a> *&#160;</td>
          <td class="paramname"><em>ptrParams</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is called to encrypt plain text data using a specific AES mode. Depending on the mode the data is encrypted and or authenticated. The additional result is stored in the encrypt output parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Crypto Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>AES encrypt mode. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrInput</td><td>Pointer to the input data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLength</td><td>Data length in bytes. Valid values are 1 to less than 2^32. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ptrOutput</td><td>Pointer to the output data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrParams</td><td>Pointer AES parameters. This structure contains both input and output parameters based on the mode.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- Crypto Error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2ed064ea62fcd3fa1cf30d7595fe10ca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t Crypto_hmacParams_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8df97ec732f045d62928e614531366b7">Crypto_HmacParams</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is initializes the HMAC default parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">params</td><td>Pointer to HMAC params.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- Crypto Error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0ccd2651c6b2ee64ff049897ab6d8edf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Crypto_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is the Crypto driver initialization function.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9b9fcff5d08394ab32c4bca549361ca6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a> Crypto_open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38428d57bcfc0173f3b3d38a0a6a530a">Crypto_Type</a>&#160;</td>
          <td class="paramname"><em>cryptoType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is the registered callback function which is invoked when the Crypto Driver instance is being opened with a specific application supplied arguments.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">type</td><td>Type of Crypto instance that is opened. Valid values are Crypto_AES - AES Crypto engine Crypto_HMAC - HMAC Crypto engine</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Driver Handle </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad58eac4d371de1fea5e1e5aca89b26c6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t Crypto_sign </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaece135431f8e1ff75ca8c44c3ebf0f4f">Crypto_HmacMode</a>&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrInput</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrSignature</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8df97ec732f045d62928e614531366b7">Crypto_HmacParams</a> *&#160;</td>
          <td class="paramname"><em>ptrParams</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is called to generate the HMAC Hash value of given plain Text.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Crypto Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>HMAC hash algorithm. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrInput</td><td>Pointer to the input data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLength</td><td>Data length in bytes. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSignature</td><td>Pointer to the HMAC Hash. input pointer - If HMAC flag was set, the ptrSignature pointer is used as the input HMAC Hash value. output pointer - For the generated Hash value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrParams</td><td>Pointer HMAC parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- Crypto Error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0b1f6749e0ea8ed98e2c21b6fb05b213"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t Crypto_verify </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf03118598aa357ade3e840905efb71c8">Crypto_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaece135431f8e1ff75ca8c44c3ebf0f4f">Crypto_HmacMode</a>&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrInput</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>ptrSignature</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___c_r_y_p_t_o___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8df97ec732f045d62928e614531366b7">Crypto_HmacParams</a> *&#160;</td>
          <td class="paramname"><em>ptrParams</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 The function is called to verify the HMAC Hash value of given input Text.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>Handle to the Crypto Driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>HMAC hash algorithm. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrInput</td><td>Pointer to the input data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLength</td><td>Data length in bytes. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrSignature</td><td>Pointer to the HMAC Hash. input pointer - If HMAC flag was set, the ptrSignature pointer is used as the input HMAC Hash value. output pointer - For the generated Hash value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrParams</td><td>Pointer HMAC parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- 0 </td></tr>
    <tr><td class="paramname">Error</td><td>- Crypto Error code </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
